commit: d1e39b3d2d1f8dc50709949cc43539bd5c08577a
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 16 15:14:38 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Feb 16 16:02:15 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d1e39b3d
dev-python/pillow: Enable pypy3.11
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pillow/Manifest | 1 +
dev-python/pillow/pillow-11.1.0.ebuild | 23 ++++++++++++++++++-----
2 files changed, 19 insertions(+), 5 deletions(-)
diff --git a/dev-python/pillow/Manifest b/dev-python/pillow/Manifest
index 4f95ca51fa5b..29e23c43bce0 100644
--- a/dev-python/pillow/Manifest
+++ b/dev-python/pillow/Manifest
@@ -1 +1,2 @@
DIST pillow-11.1.0.gh.tar.gz 46815201 BLAKE2B
7990683c90359e0a72e17a13e1a29455bc3ace8ce3616d6af59360edfc1ac87541bd1fd6967160bd8d7dd25cfedfc9d2e9b058c3ed433a6208379834f15bc312
SHA512
bb0622fae0b9c3903ddd945dced8e2b94348b2bd06c14bc74da00d8aa3a795aab2daaff39ca6c40b712dcce4f10218cd30739f0eb616c9dfbc16efcf80886f1e
+DIST pythoncapi_compat.h 61109 BLAKE2B
9b8d9f774a6803dee73aedc5465519f2956c284bf70314f5e046d0d5522a10891bf55358a85fea5a156d4063736424c0f019bc71dd18592bbf56c364db7b6bce
SHA512
d0ca43186fdc3cd8d0e993135b50fc86eeea05e8b84cba529d89f60ce28bc9502f8d3825eb508be5d68d1fbfc53423a69756c0e79fe0fe7adf94c602b1cf79ff
diff --git a/dev-python/pillow/pillow-11.1.0.ebuild
b/dev-python/pillow/pillow-11.1.0.ebuild
index b60acd1a51fe..3080e16268e8 100644
--- a/dev-python/pillow/pillow-11.1.0.ebuild
+++ b/dev-python/pillow/pillow-11.1.0.ebuild
@@ -6,7 +6,7 @@ EAPI=8
DISTUTILS_EXT=1
# setuptools wrapper
DISTUTILS_USE_PEP517=standalone
-PYTHON_COMPAT=( python3_{10..13} pypy3 )
+PYTHON_COMPAT=( python3_{10..13} pypy3 pypy3_11 )
PYTHON_REQ_USE='tk?,threads(+)'
inherit distutils-r1 toolchain-funcs virtualx
@@ -23,6 +23,7 @@ HOMEPAGE="
SRC_URI="
https://github.com/python-pillow/Pillow/archive/${PV}.tar.gz
-> ${P}.gh.tar.gz
+
https://github.com/python/pythoncapi-compat/raw/c84545f0e1e21757d4901f75c47333d25a3fcff0/pythoncapi_compat.h
"
S="${WORKDIR}/${MY_P}"
@@ -66,10 +67,22 @@ BDEPEND="
EPYTEST_XDIST=1
distutils_enable_tests pytest
-PATCHES=(
- # https://github.com/python-pillow/pillow/pull/7634
- "${FILESDIR}/${PN}-10.2.0-cross.patch"
-)
+src_prepare() {
+ local PATCHES=(
+ # https://github.com/python-pillow/pillow/pull/7634
+ "${FILESDIR}/${PN}-10.2.0-cross.patch"
+ )
+
+ distutils-r1_src_prepare
+
+ # https://github.com/python-pillow/Pillow/pull/8757
+ if ! grep -q 0041177c4f348c8952b4c8980b2c90856e61c7c7 \
+ src/thirdparty/pythoncapi_compat.h
+ then
+ die "Remove pythoncapi_compat.h update"
+ fi
+ cp "${DISTDIR}/pythoncapi_compat.h" src/thirdparty/ || die
+}
usepil() {
usex "${1}" enable disable